Get Hosted Payments Page details
Path Parameters
- Type: string ·idmin length:16max length:16
Pattern: ^hpp_[A-Za-z0-9_-]{12}$requiredThe unique identifier for a Hosted Payments Page.
Responses
- application/json
- 401
Unauthorized
- 404
Hosted Payments Page not found
Request Example for get/hosted-payments/{id}
curl 'https://{prefix}.api.sandbox.checkout.com/hosted-payments/{id}' \
--header 'Authorization: YOUR_SECRET_TOKEN'
{
"id": "hpp_xGQBg0AXl3cM",
"status": "Payment Pending",
"amount": 100,
"currency": "GBP",
"reference": "ORD-123A",
"description": "Payment for Gold Necklace",
"customer": {
"email": "brucewayne@email.com",
"name": "Bruce Wayne"
},
"billing": {
"address": {
"address_line1": "123 High St.",
"city": "London",
"zip": "SW1A 1AA",
"country": "GB"
},
"phone": {
"country_code": "+1",
"number": "415 555 2671"
}
},
"success_url": "https://example.com/success",
"cancel_url": "https://example.com/cancel",
"failure_url": "https://example.com/failure",
"_links": {
"self": {
"href": "https://{prefix}.api.sandbox.checkout.com/hosted-payments/hpp_xGQBg0AXl3cM"
},
"redirect": {
"href": "https://pay.sandbox.checkout.com/page/hpp_xGQBg0AXl3cM"
}
}
}